textures/a-spec-sky/a-spec_1-q3-sky
{
	qer_editorimage textures/a-spec-sky/a-spec_1-q3-sky_3_4.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm sky

	q3map_sun 3 2 2 70 315 65
	q3map_surfacelight 75
	skyparms - 512 -

	//cloudparms 512 full
	//lightning

	{
		map textures/a-spec-cieux/a-spec_1-q3-sky_3.tga
		tcMod scroll 0.05 .1
		tcMod scale 2 2
	}
	{
		map textures/a-spec-cieux/a-spec_1-q3-sky_4.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.05 0.06
		tcMod scale 3 2
	}
}

textures/a-spec-liquids/a-spec-lavahell_2
{
	// Added to g3map_global texture on Sep 17, 2005
	qer_editorimage textures/a-spec-liquids/a-spec-lavahell_2.tga
	q3map_globaltexture
	surfaceparm trans
	//surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 1000
	cull disable
	
	tesssize 128
	cull disable
	deformVertexes wave 750 sin 4 1 .1 0.1
	
	{
		map textures/a-spec-liquids/a-spec-lavahell_2.tga
		tcMod turb 0 .1 0 .1
	}
}

textures/a-spec-liquids/a-spec-lavahell_3
{
	// Added to g3map_global texture on Sep 17, 2005
	qer_editorimage textures/a-spec-liquids/a-spec-lavahell_3.tga
	q3map_globaltexture
	surfaceparm trans
	//surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 1000
	cull disable
	
	tesssize 128
	cull disable
	deformVertexes wave 750 sin 6 2 .1 0.2
	
	{
		map textures/a-spec-liquids/a-spec-lavahell_3.tga
		tcMod turb 0 .2 0 .1
	}
}

textures/a-spec-liquids/a-spec-lavahell_1
{
	// Added to g3map_global texture on Sep 17, 2005
	qer_editorimage textures/a-spec-liquids/a-spec-lavahell_1.tga
	q3map_globaltexture
	surfaceparm trans
	//surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 1000
	cull disable
	
	tesssize 128
	cull disable
	deformVertexes wave 750 sin 6 2 .1 0.2
	
	{
		map textures/a-spec-liquids/a-spec-lavahell_1.tga
		tcMod turb 0 .2 0 .1
	}
}

models/mapobjects/ts-torch01/fire01
{
	cull disable
	{
		animmap 8 models/mapobjects/ts-torch01/fire01.tga models/mapobjects/ts-torch01/fire03.tga models/mapobjects/ts-torch01/fire05.tga models/mapobjects/ts-torch01/fire07.tga models/mapobjects/ts-torch01/fire09.tga models/mapobjects/ts-torch01/fire11.tga models/mapobjects/ts-torch01/fire13.tga models/mapobjects/ts-torch01/fire15.tga 
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 8 
	}
	{
		animmap 8 models/mapobjects/ts-torch01/fire02.tga models/mapobjects/ts-torch01/fire04.tga models/mapobjects/ts-torch01/fire06.tga models/mapobjects/ts-torch01/fire08.tga models/mapobjects/ts-torch01/fire10.tga models/mapobjects/ts-torch01/fire12.tga models/mapobjects/ts-torch01/fire14.tga models/mapobjects/ts-torch01/fire16.tga 
		blendfunc add
		rgbGen wave sawtooth 0 1 0 8 
	}
}

models/mapobjects/ts-torch01/torch
{
	{
		map models/mapobjects/ts-torch01/blood.tga
		blendfunc blend
		rgbGen identity
		tcMod scroll 0 0.1
	}
	{
		map models/mapobjects/ts-torch01/torch.tga
		rgbGen Vertex
		alphaFunc GE128
	}
	{
		map models/mapobjects/ts-torch01/torch-g.tga
		blendfunc add
		rgbGen wave sin 0.25 0.75 0 0.3 
	}
}

textures/a-spec-sky/water_a-spec-sky
{
	
	qer_editorimage textures/a-spec-liquids/a-spec-lavahell_4.tga
	qer_trans 0.75

	q3map_noTJunc	
	q3map_nonplanar
	q3map_shadeAngle 179

	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans

	surfaceparm nolightmap	
	polygonOffset	
	

	//cull disable
	//deformVertexes wave 64 sin .25 .25 0 .5	

	{
		map textures/a-spec-liquids/a-spec-lavahell_5.tga
		blendFunc GL_dst_color GL_one
		tcmod scale .5 .5
		tcmod scroll .025 .01
		rgbGen identity
	}
	{ 
		map textures/a-spec-liquids/a-spec-lavahell_4.tga
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
}

textures/a-spec-sky/a-spec-nibbles
{
	// tessSize 64
	deformVertexes wave 20 sin 8 6 2 2.6
	{
		rgbGen identity
		map $lightmap
	}
	{
		map textures/a-spec-sky/a-spec-nibbles.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
}

textures/a-spec-sfx/a-spec-portalfog_1
{
	qer_editorimage textures/a-spec-sfx/a-spec-portalfog_1.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	{
		map textures/a-spec-sfx/a-spec-portalfog_1.tga
		rgbGen wave sin 0.5 0.5 0 0.2 
		tcMod turb 1 0.1 1 0.1
		tcMod turb 0 0.05 1 0.3
	}
	{
		map textures/a-spec-sfx/a-spec-portalfog_1.tga
		blendfunc add
		rgbGen identity
		tcMod turb 0 0.2 0 0.4
		tcMod rotate 2
	}
}

textures/a-spec-sfx/a-spec-portalfog
{
	qer_editorimage textures/a-spec-sfx/a-spec-portalfog.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	{
		map textures/a-spec-sfx/a-spec-portalfog.tga
		rgbGen wave sin 0.5 0.5 0 0.2 
		tcMod turb 1 0.1 1 0.1
		tcMod turb 0 0.05 1 0.3
	}
	{
		map textures/a-spec-sfx/a-spec-portalfog.tga
		blendfunc add
		rgbGen identity
		tcMod turb 0 0.2 0 0.4
		tcMod rotate 2
	}
}